atomes(1)

NOM
atomes - une boîte à outils pour analyser, visualiser et créer/éditer des modèles 3D à l'échelle atomique

SYNOPSIS
atomes [OPTIONS] fichiers...
atomes [OPTIONS_IMAGES] fichiers...

DESCRIPTION
Cette page de manuel documente brièvement la commande atomes

atomes est une boîte à outils pour analyser, visualiser et créer/éditer/ des modèles 3D à l'échelle atomique.
L'espace de travail permet d'ouvrir et gérer plusieurs projets qui peuvent échanger des données: résultats d'analyses, coordonées atomiques ...
atomes propose également un système avancé de préparation aux calculs de dynamique moléculaire pour plusieurs outils connus:
    Dynamique Moléculaire classique: DLPOLY et LAMMPS
    Dynamique Moléculaire ab-initio: CPMD et CP2K
    Dynamique moléculaire hybride (QM-MM): CPMD et CP2K

OPTIONS
Ce programme utilise un jeu d'options spécifique pour décrire les formats de fichiers de coordonnées atomiques (ex: -xyz),
mais suit autrement la syntaxe GNU habituelle, avec des options longues commençant par 2 tirets (`-').
atomes essaye toujours d'ouvrir un fichier en se basant sur son extension,
il est toutefois possible de forcer le format de fichier à utiliser en utilisant la(les) option(s) associées.
Un résumé des options est présenté plus bas.

-h, --help
    Afficher un résumé des options

-v, --version
    Afficher la version du programme

-awf, -AWF
    Ouvrir un fichier espace de travail d'atomes

-apf, -APF
    Ouvrir un fichier projet d'atomes

-xyz, -XYZ
    Importer des coordonnées atomiques au format XYZ

-c3d, -C3D
    Importer des coordonnées atomiques au format Chem3D

-trj, -TRJ
    Importer des coordonnées atomiques au format CPMD

-xdatcar, -XDATCAR
    Importer des coordonnées atomiques au format VASP

-pdb, -PDB, -ent, -ENT
    Importer des coordonnées atomiques au format PDB

-cif, -CIF
    Importer des coordonnées atomiques au format CIF

-hist, -HIST
    Importer des coordonnées atomiques au format DL_POLY history

-ipf, -IPF
    Importer un projet I.S.A.A.C.S.

EXAMPLES

atomes projet.apf fichier.xyz -pdb autre_fichier
     atomes -awf espace_de_travail -apf projet -xyz fichier -pdb autre_fichier

OPTIONS_IMAGE
atomes peut être utilisé pour généré des images des modèles atomiques directement depuis la ligne de commandes.

-p, --png, --render-png
    Générer une image format PNG

-j, --jpg, --render-jpg
    Générer une image au format JPG

-o, --output=[FICHIER]
    Nome de l'image (par défaut: image.png ou image.jpg)

-W, --width=[TAILLE_X]
    Largeur de l'image en pixels, TAILLE_X doit être > 0

-H, --height=[TAILLE_Y]
    Hauteur de l'image en pixels, TAILLE_Y doit être > 0

Selon le fichier devant être rendu, les paramêtre par défaut du rendu sont obtenus:
  - Pour un fichier projet atomes (*.apf): dans le fichier projet en question.
  - Pour un autre type de coordonnées atomiques (ex: .xyz): selon les préférences utilisateurs dans atomes.pml
Dans chaque cas, plusieurs paramêtres peuvent être temporairement modifiés
en utilisant des options depuis la ligne de commandes:

-s, --style=[STYLE]
    Style visuel, parmi:
       - Boules et bâtonnets: balls_and_sticks, ball_and_stick, b_and_s, bs, b
       - Fils de fer: wireframes, wireframe, wires, wire, wi, w
       - Rayons covalent: covalent_radius, covalent, cov_rad, cov, co, cr
       - Rayons ioniques: ionic_radius, ionic_rad, ionic, ion, ir
       - Rayons de van der Waals: van_der_waals_radius, van_der_waals, vdw_radius, vdw_rad, vdw, vr
       - Rayons cristallins: in_crystal_radius, crystal_radius, in_crystal, crystal, cryst, cr
       - Sphères: spheres, sphere, sph, sp, s
       - Cylindres: cylinders, cylinder, cyl, cy, c
       - Points: dots, dot, d

-r, --rep=[REP]
    Style de représentation, parmi:
       - Orthographique: orthograhpic, ortho, 0
       - Perpsective (par défaut): perspective, persp, 1

-b, --box=[STYLE]
    Déclanche l'affiche de la boîte, si présente, et défini le style
    Style, parmi:
       - Fils de fer: wireframes, wireframe, wires, wire, wi, w
       - Cylindres: cylinders, cylinder, cyl, cy, c

-a, --axis=[STYLE]
    Déclanche l'affichage des axes, et défini le style
    Style, parmi:
       - Fils de fer: wireframes, wireframe, wires, wire, wi, w
       - Cylindres : cylinders, cylinder, cyl, cy, c

-e, --acolor=[PALETTE]
    Définie la palette de couleur pour les atomes et les liaisons
       - Espèce(s) chimique(s): species, spec, sp, 0
       - Coordination(s) totale(s): total_coordiantion, total_coord, tc, 1
       - Coordination(s) partielle(s): partial_coordiantion, partial_coord, pc, 2
       - Fragment(s)*: fragment, frag, fg, 3
       - Molécule(s)*: molecule, mol, mo, 4
    * si nécessaire déclanche l'analyse correspondante

-t, --pcolor=[PALETTE]
    Affiche les polyèdres de coordination, définie la palette de couleur à utiliser

-C, --box_color=[COULEUR]
    Couleur de la boîte, COULEUR en codage héxadecimal, 3 ou 6 lettres, avec ou sans #

-G, --back_grad=[GRAD]
    Type de gradient d'arriètre plan, parmi:
      - Pas de gradient: none, no, 0
      - Linéaire: linear, lin, 1
      - Circulaire: circular, circ, 2

-B, --back_color=[COULEUR]
    Couleur d'arrière plan, COULEUR en codage héxadecimal, 3 ou 6 lettres, avec ou sans #
    Déclanche l'utilisation d'une couleur unique pour l'arrière plan (pas de gradient)

-D, --back_dir=[DIR]
    Direction du gradient d'arrière plan, parmi:
      - Gradient linéraire
        - Droite à gauche: 0
        - Haut en bas: 1
        - Bas droit vers haut gauche: 2
        - Haut droit vers bas gauche: 3
      - Gradient circulaire
        - Droite à gauche: 0
        - Gauche à droite: 1
        - Haut en bas: 2
        - Bas en haut: 3
        - Bas droit vers haut gauche: 4
        - Bas gauche vers haut droit: 5
        - Haut droit vers bas gauche: 6
        - Haut gauche vers bas droit: 7
        - Depuis le centre: 8

-P, --back_pos=[POS]
    Position du point mixe des couleurs du gradient entre [0.0 - 1.0]

-U, --grad_col_a=[COULEUR]
    Couleur initiale du gradient, COULEUR en codage héxadecimal, 3 ou 6 lettres, avec ou sans #

-V, --grad_col_b=[COULEUR]
    Couleur finale du gradient, COULEUR en codage héxadecimal, 3 ou 6 lettres, avec ou sans #

EXEMPLES

atomes --render-png --width=1920 --height=1024 -o projet.png projet.apf
     atomes -j -W 1920 -H 1024 --output=mon_fichier.jpg fichier.pdb -s cyl -e pc

VOIR AUSSI
https://atomes.ipcms.fr/

AUTEUR
Cette page de manuel a été créée par Dr. Sébastien Le Roux <sebastien.leroux@ipcms.unistra.fr>

SIGNALER UNE ERREUR
Signaler tout erreur à <https://github.com/Slookeur/atomes-GNU/issues>.